- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
GSsl::Error Class Reference

A private exception class used by ssl classes. More...

Inheritance diagram for GSsl::Error:

## Public Member Functions
| Error (const std::string &)
| Error (const std::string &, unsigned long)
virtual | ~Error () throw ()
virtual const char * | what () const throw ()

## Detailed Description

A private exception class used by ssl classes.

Definition at line 166 of file gssl_openssl.cpp.

## Constructor & Destructor Documentation

GSsl::Error::Error | ( | const std::string & | s | ) |
| explicit

Definition at line 352 of file gssl_openssl.cpp.

GSsl::Error::Error | ( | const std::string & | s,
|  | unsigned long | e
| ) |  |

Definition at line 357 of file gssl_openssl.cpp.

GSsl::Error::~Error | ( |  | ) |
throw | ( |
| ) |  |
| virtual

Definition at line 367 of file gssl_openssl.cpp.

## Member Function Documentation

const char * GSsl::Error::what | ( |  | ) | const
throw | ( |
| ) |  |
| virtual

Definition at line 371 of file gssl_openssl.cpp.

The documentation for this class was generated from the following file:

- gssl_openssl.cpp